<?php

/**
 * EOS对称性加密
 * User: ben
 * Date: 2018/9/19
 * Time: 下午2:59
 */
class EosAES extends AES {

    public function __construct($key = null) {
        $key = $key ?: $GLOBALS['walletPwd'];
        $iv = 'www.duowan.com';
        $method = 'aes-256-cbc';
        parent::__construct($key, $iv, $method);
    }

}